=== debian/changelog ===
ros-melodic-steering-functions (0.1.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Holger Banzhaf <holger.banzhaf@de.bosch.com>  Mon, 21 Mar 2022 08:17:42 -0000
