=== debian/control ===
Source: ros-melodic-steering-functions
Section: misc
Priority: optional
Maintainer: Holger Banzhaf <holger.banzhaf@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-steering-functions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-costmap-2d, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-tf, ros-melodic-visualization-msgs
Description: The steering_functions package
